<?
include 'inclydings/gzips.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("mysql.php");
include_once("inclydings/antixak.php");
include_once("inclydings/golova.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
$key=rand(1000000,9999999);
$nick=$_POST[nick];
$pass=$_POST[pass];
$topas=$_POST[topas];
$pol=$_POST[pol];
require_once "inclydings/flood.php";
if (CheckIP ()){echo"Регистрироватся можно 1 раз в 10 секунд.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
if(empty($nick)){echo"Не введен логин.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}
if(empty($pass)){echo"Не введен пароль.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$nick)){echo"Логин содержит запрещенные символы.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$pass)){echo"Пароль содержит запрещенные символы.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php';  exit;}




$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));

$reg = @file("L2dbnam/esql2db/reg/$nick.dat");
$del = explode(":||:",$reg[0]);

$zan=strcasecmp($del[0], $nick);
if($zan=="0"){echo' Этот ник уже находится в базе данных, придумайте себе другой.<br/>';
include_once"inclydings/nogi.php";
exit;}
if($rassa==gnom){
if($klas==wizard){
echo"Гномы не могут быть магами.<br/>
<a href=\"registration.php\">Вернуться к регистрации</a><br/>"; include 'inclydings/nogi.php'; exit;}}

if(empty($nick) || empty($pass) || empty($pol) || empty($email)) {echo'<small>Данные необходимые для регистрации введены некоректно!</small><br/>';


echo'<a href="reg.php">Вернуться к регистрации</a><br/>';
include_once"inclydings/nogi.php";
exit;}

if (!eregi("^[A-za-z0-9]+",  $email)){echo'Введеннок вами Секретное слово неверно! Оно должно выглядить так (Пример) - TEST<br>';
echo'<a href="registration.php">Вернуться к регистрации</a><br/>';

include_once"inclydings/nogi.php";
exit;}

if (@file("L2dbnam/esql2db/reg/$nick.dat")) {print"Такой логин уже есть у нас в системе!<br/><a href=\"registart.php\"><br/>";}else {
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);



$nick = htmlspecialchars(stripslashes($nick));

$nick=str_replace("GM","", $nick);
$nick=str_replace("gm","", $nick);

$email=htmlspecialchars(stripslashes($email));
$email=strtolower($email);




$password = md5($pass);

if($rassa=="human"){$gorod="Talking Island Village"; $all="50"; }
if($rassa=="gnom"){$gorod="Dwarven Village"; $all="100"; }
if($rassa=="elf"){$gorod="Elven Village";  $all="60";  }
if($rassa=="darkelf"){$gorod="Dark Elven Village";  $all="75";  }
if($rassa=="ork"){$gorod="Orc Village";  $all="100";  }
if($rassa=="kamael"){$gorod="Kamael Village";  $all="100";  }
if($klas=="wizard"){$mp="150"; $cp="75";}
if($klas=="fighert"){$mp="50"; $cp="100";}

$text=$nick.':||:'.$password.':||:'.$pol.':||:5:||:5:||:5:||:0:||:0:||:0:||:0:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:1:||:'.$all.':||:'.$all.':||:'.$email.':||:0:||:'.$gorod.':||::||:1:||::||::||::||:'.$rassa.':||:'.$klas.':||:'.$data.':||:'.$mp.':||:'.$mp.':||:0:||::||::||:0:||::||::||:Shadow of the Monster Tree:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:'.$cp.':||:'.$cp.':||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:style:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:12:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:Пусто:||:5:||:0:||:';


$fp=fopen("L2dbnam/esql2db/reg/$_POST[nick].dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/reg/$nick.dat", 0666);
$message="Добро пожаловать в мир Линейки!Рекомендуем ознакомиться c <font color=lime><a href=\"main.php?$sd&go=pravila\">правилами игри</a></font>,изучить игровой процесс в <font color=lime><a href=\"faq.php?$sd\">бибилиотеке</a></font>.Ответы на возникшие вопросы, всегда можно получить в <font color=lime><a href=\"chat.php?$sd\">чате</font></a>,у <font color=lime><a href=\"main.php?$sd&go=elite\">официальных консультантов игры</font></a>,или же в <font color=lime><a href=\"helpcenter.php?$sd\">центре поддержки</a></font>.<br>---<br>Для получения бонусного снаряжения,перейдите в моё меню/Город/Менеджер путешественников.<br>Приятной игры!";

$message=base64_encode($message);

$pozdr=":::Система|".$message."|".$data;

$fp=fopen("L2dbnam/esql2db/msg/$nick.msg","w");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/msg/$nick.msg", 0666);

$text = @file("L2dbnam/esql2db/newlog.dat");
$new = explode(":||:",$text[0]);
$new[0]=$new[0]+1;
$text=$new[0].':||:';
$fp=fopen("L2dbnam/esql2db/newlog.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/newlog.dat", 0666);

if($klas=="wizard"){
$mag="10||5||100||active||combat||||Магия для новичков||Shot||newmags||mag||";}
if($klas=="fighert"){
$mag="10||5||100000||active||combat||||Супер удар для новичков||Shot||newudar||fighert||";}
$fp=fopen("L2dbnam/esql2db/mag/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$mag\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/mag/$nick.dat", 0666);

print"Вы успешно зарегистрированы. В онлайн игре LINEAGE!<br/> Ваш ник: ".$nick." <br/>Ваш пароль: ".$pass."<br/>Ваше секретное слово: ".$email."<br/><br/><b>Запомните данные и никому не сообщайте!<br/><br/>
<a href=\"enter.php?log=".$nick."&amp;pas=".$pass."\">Пройти через ворота</a><br/><br/>Ссылка для автоматического входа:<br/>
http://wap-worlds.ru/enter.php?log=$nick&pas=$pass<br/>Скопируйте адрес:<br/></small><input name=\"enter\" value=\"http://wap-worlds.ru.ru/enter.php?log=$nick&pas=$pass\"/><br/><br/>";
}

info_compress();
include 'inclydings/nogi.php';
?>